Skip to content

Endpoint

  • Method: GET
  • Path: /calendars
  • Edition: Core
  • Controller: CalendarController@getAllCalendars
  • Route source: fluent-booking/app/Http/Routes/api.php:11
  • Policy: CalendarPolicy

Get All Calendars

GET
/calendars

Handler: CalendarController@getAllCalendars. Source: fluent-booking/app/Http/Routes/api.php:11.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Responses

Successful response.

application/json
JSON
{
"calendars": [
{
"id": 0,
"hash": "string",
"user_id": 0,
"account_id": 0,
"parent_id": {
},
"title": "string",
"slug": "string",
"media_id": 0,
"description": "string",
"settings": {
},
"status": "string",
"type": "string",
"event_type": "string",
"account_type": "string",
"visibility": "string",
"author_timezone": "string",
"max_book_per_slot": 0,
"created_at": "string",
"updated_at": "string"
}
],
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"from": 0,
"to": 0
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI